crashpad::MinidumpUserExtensionStreamDataSource::Delegate Class Referenceabstract

An interface implemented by readers of MinidumpUserExtensionStreamDataSource. More...

`#include "minidump/minidump_user_extension_stream_data_source.h"`

Inheritance diagram for crashpad::MinidumpUserExtensionStreamDataSource::Delegate:

## Public Member Functions

virtual bool | ExtensionStreamDataSourceRead (const void *data, size_t size)=0
| Called by MinidumpUserExtensionStreamDataSource::Read() to provide data requested by a call to that method. More...

## Detailed Description

An interface implemented by readers of MinidumpUserExtensionStreamDataSource.

## Member Function Documentation

## ExtensionStreamDataSourceRead()

virtual bool crashpad::MinidumpUserExtensionStreamDataSource::Delegate::ExtensionStreamDataSourceRead | ( | const void * | data,
|  | size_t | size
| ) |  |

pure virtual

Called by MinidumpUserExtensionStreamDataSource::Read() to provide data requested by a call to that method.

Parameters

  [in] | data | A pointer to the data that was read. The callee does not take ownership of this data. This data is only valid for the duration of the call to this method. This parameter may be `nullptr` if size is `0`.
  [in] | size | The size of the data that was read.

Returns
  `true` on success, `false` on failure. MinidumpUserExtensionStreamDataSource::ReadStreamData() will use this as its own return value.

Implemented in crashpad::MinidumpUserStreamWriter::ExtensionStreamContentsWriter.

The documentation for this class was generated from the following file:

- minidump/minidump_user_extension_stream_data_source.h